package com.bocloud.nms.model.veeam.repositories;

public class RepositoryModel {

    private String id;
    private String name;
    private String description;
    private String tag;
    private String type;
    private String hostId;
    private WindowsLocalRepositorySettingsModel repository;
    private MountServerSettingsModel mountServer;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(String hostId) {
        this.hostId = hostId;
    }

    public WindowsLocalRepositorySettingsModel getRepository() {
        return repository;
    }

    public void setRepository(WindowsLocalRepositorySettingsModel repository) {
        this.repository = repository;
    }

    public MountServerSettingsModel getMountServer() {
        return mountServer;
    }

    public void setMountServer(MountServerSettingsModel mountServer) {
        this.mountServer = mountServer;
    }
}
